camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From rickaroni <rgfa...@directv.com>
Subject Camel contributions - which Java version to code to?
Date Fri, 12 Sep 2014 19:48:11 GMT
Hiya,

Should I assume from this link that all Camel contribution code has to be
Java 6 compatible? http://camel.apache.org/what-are-the-dependencies.html
<http://camel.apache.org/what-are-the-dependencies.html>  

That is, I'd like to change a component such that Joda DateTime is replaced
by the new Java 8 OffsetDateTime.  Is it kosher to do that but provide a JSR
310 backport via a maven dependency like this? 
http://mvnrepository.com/artifact/com.fasterxml.jackson.datatype/jackson-datatype-jsr310/2.4.2
<http://mvnrepository.com/artifact/com.fasterxml.jackson.datatype/jackson-datatype-jsr310/2.4.2>
 

Thanks,
Rick







--
View this message in context: http://camel.465427.n5.nabble.com/Camel-contributions-which-Java-version-to-code-to-tp5756456.html
Sent from the Camel Development mailing list archive at Nabble.com.

Mime
View raw message